Get insight
Fetch a single insight by id. The insight must belong to the resolved location. Returns the full row including config.
curl -X GET "https://mythic-analytics.gulp.workers.dev/builder/insights/123e4567-e89b-12d3-a456-426614174000?location_id=acme-retail" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN"
import requests
import json
url = "https://mythic-analytics.gulp.workers.dev/builder/insights/123e4567-e89b-12d3-a456-426614174000?location_id=acme-retail"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://mythic-analytics.gulp.workers.dev/builder/insights/123e4567-e89b-12d3-a456-426614174000?location_id=acme-retail", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://mythic-analytics.gulp.workers.dev/builder/insights/123e4567-e89b-12d3-a456-426614174000?location_id=acme-retail", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://mythic-analytics.gulp.workers.dev/builder/insights/123e4567-e89b-12d3-a456-426614174000?location_id=acme-retail')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
response = http.request(request)
puts response.body
{
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"location_id": "acme-retail",
"data_connection_id": "123e4567-e89b-12d3-a456-426614174000",
"created_by": "123e4567-e89b-12d3-a456-426614174000",
"name": "Daily visitors",
"description": "example_string",
"insight_type": "number",
"config": {
"query": {
"kind": "trend",
"date_range": {
"preset": "30d"
},
"interval": "day",
"series": [
{
"event": "$pageview",
"math": "dau",
"label": "Visitors"
}
],
"compare": "previous_period"
}
},
"visualization": {},
"is_embeddable": false,
"embed_token": "9f8a7b6c5d4e3f2a1b0c9d8e7f6a5b4c",
"tags": [
"funnel",
"paid"
],
"canvas_id": "123e4567-e89b-12d3-a456-426614174000",
"is_favorite": false,
"created_at": "2024-12-25T10:00:00Z",
"updated_at": "2024-12-25T10:00:00Z"
}
}
{
"error": "Not Found",
"message": "The requested resource was not found",
"code": 404
}
/insights/{id}Target server for requests. Edit to use your own host.
Builder key as a bearer token. Use an agency key (Bearer ak_...) for writes, or a viewer key (Bearer sk_...) for reads. Scoped keys (mcp_) with insights:read/insights:write are accepted too.
Bearer ak_...) for writes, or a viewer key (Bearer sk_...) for reads. Scoped keys (mcp_) with insights:read/insights:write are accepted too.Insight UUID
Client location to scope the request to. Required when authenticating with an agency key (ak_). Ignored for viewer keys (sk_).
Request Preview
Response
Response will appear here after sending the request
Authentication
Bearer token. Builder key as a bearer token. Use an agency key (Bearer ak_...) for writes, or a viewer key (Bearer sk_...) for reads. Scoped keys (mcp_) with insights:read/insights:write are accepted too.
Path Parameters
Insight UUID
Query Parameters
Client location to scope the request to. Required when authenticating with an agency key (ak_). Ignored for viewer keys (sk_).
acme-retail